Subject: bug#27357: 26.0.50; Emacs starts fullscreen in Ubuntu 17.04

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jun 2017 00:08:49 +0200

Instead of looking around in the source code, I found out how to change
the DPI settings.  dconf-editor is apparently the thing to use.

The default settings are

{'eDP1': 11, 'eDP-1': 12}

If I change this to

{'eDP1': 11, 'eDP-1': 11}

or anything less than 12, then all the Emacs frame sizes are correct:
Maximization doesn't happen, and --geometry works as expected.  But if I
change that to

{'eDP1': 11, 'eDP-1': 12}

then all my Emacs frames gets maximized.

Could there be a math error somewhere?  And if so, where?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no